package cn.com.qmth.scancloud.tools.multithread.producer;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import cn.com.qmth.scancloud.tools.model.ExamStudent;
import cn.com.qmth.scancloud.tools.multithread.Producer;
import cn.com.qmth.scancloud.tools.multithread.consumer.ExamStudentImportConsumer;

@Service
public class ExamStudentImportProducer extends Producer<List<ExamStudent>, ExamStudentImportConsumer> {

    @SuppressWarnings("unchecked")
    @Override
    protected List<ExamStudent> findData(Map<String, Object> param, int index) {
        Integer batchSize=(Integer)param.get("batchSize");
        List<ExamStudent> ret=(List<ExamStudent>)param.get("data");
        int start=index*batchSize;
        if(start>=ret.size()) {
            return null;
        }
        int end=(index+1)*batchSize;
        if(end>ret.size()) {
            end=ret.size();
        }
        return ret.subList(start, end);
    }

}
